local mock_headers = require("mock_headers")

local mock_request_handle = {}
local response_headers = nil
local response_body = nil
local upstream_headers = {}
local upstream_body = ""

function mock_request_handle:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self
    return o
end

function mock_request_handle:logInfo(info)
    print(info)
end

function mock_request_handle:logErr(error)
    print(error)
end

function mock_request_handle:headers()
    local request_headers = mock_headers:new(nil)
    return request_headers
end

function mock_request_handle:httpCall(cluster, headers, body, timeout)
    return upstream_headers, upstream_body
end

function mock_request_handle:setUpstreamHeaders(headers)
    for k, v in pairs(headers) do
        upstream_headers[k] = v
    end
end

function mock_request_handle:setUpstreamBody(body)
    upstream_body = body
end

function mock_request_handle:respond(headers, body)
    response_headers = mock_headers:new(nil)
    -- set response headers
    for k, v in pairs(headers) do
        response_headers:replace(k, v)
    end

    -- set resposne body
    response_body = body
end

function mock_request_handle:getResponseHeaders()
    return response_headers
end

function mock_request_handle:getResponseBody()
    return response_body
end

return mock_request_handle
