### On-board new checks

- Create a new folder lets say `proxy` inside `Prerequisite_Checks`
- Add `main.sh` which should accept all arguments passed and use only what is required. The main.sh must exit with 
  - code=51 if one or more check fails (High priority)
  - code=0  if all checks passes and no other failures
  - code other than 0 and 51 for unexpected failure
- The `main.sh` must to call `add_test_result` to publish test result of individual test
- Add a function call main.sh of the check from main function in `validateUiPathASReadiness.sh`


function `add_test_result accepts` accepts below positional parameter
- test_status
- test_details
- test_mitigation

```
##Add test result for successful case, `test_mitigation` is optional
add_test_result "PASSED" "successfully connected to port: 443"

##Add test result for failed case, 
add_test_result "FAILED" "fail to connected to port: 443" "possible mitigation"

---------------- ---------------- -----------------------
| test_status  | | test_details | |    test_mitigation   |
---------------- ---------------- ------------------------
|   PASSED     | | Details of   | | Possible Mitigations |
|   FAILED     | |   test       | |  to apply to fix     |
|   WARN       | | performed    | |       issue          |
|   INFO       | |              | |                      |
---------------- ---------------- ------------------------


### Run Validations


* Run validation check to test node connectivity and outbound Internet URLs(common) for online setup
```
./validateUiPathASReadiness.sh   -i <INPUT>  --install-type <online|offline> --machines <Comma seperated IP address / hostnames>
```