#!/bin/bash

# Copyright UiPath 2021
#
# =================
# LICENSE AGREEMENT
# -----------------
#   Use of paid UiPath products and services is subject to the licensing agreement
#   executed between you and UiPath. Unless otherwise indicated by UiPath, use of free
#   UiPath products is subject to the associated licensing agreement available here:
#   https://www.uipath.com/legal/trust-and-security/legal-terms (or successor website).
#   You must not use this file separately from the product it is a part of or is associated with.

SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
readonly SCRIPT_DIR

printf "%s%20s%30s\n" "Software" "Version" "License"
echo "----------------------------------------------------"
(
rke2_version=$(cat "${SCRIPT_DIR}"/rke2-version.txt)
echo RKE2$'\t'"$rke2_version"$'\t'Apache-2.0
argocd_version=$(cat "${SCRIPT_DIR}"/argocd-version.txt)
echo ArgoCD$'\t'"$argocd_version"$'\t'Apache-2.0
jq -r '.vendor_charts[] | [.name, .version, .license] | @tsv' "${SCRIPT_DIR}"/helm-charts.json;
jq -r '.uipath_charts[] | select(.internalVersion != null) | [.name, .internalVersion, .license] | @tsv' "${SCRIPT_DIR}"/helm-charts.json;
jq -r '.infra | to_entries[] | select(.value.version != null) | [.key, if (.value.internalVersion | length) !=0 then .value.internalVersion else .value.version end, .value.license] | @tsv' "${SCRIPT_DIR}"/../defaults.json;
) | column -ts $'\t' | cat
